<template>
    <form @submit.prevent>
        <div class="form__header">
            <h1 class="form__title">2FA Authentication</h1>
            <h2 class="form__clue">To protect your account, please complete the following verification</h2>
        </div>

        <div class="form__body">
            <div class="form__input">
                <AhInput
                    placeholder="Enter your authentication code 4-digit*"
                    v-model="emailCode"
                >
                    <span class="input-label">E-mail Authentication Code</span>
                </AhInput>
                <div class="input-button" @click="getEmailAuthCode">Get code</div>
                <HelpText v-if="isEmailCodeSent" class="form__help-text">4-digit code was sent to example@gmail.com</HelpText>
            </div>
            <div class="form__input">
                <AhInput
                    placeholder="Enter your Google authentication code "
                    v-model="googleCode"
                >
                    <span class="input-label">Google Authentication Code</span>
                </AhInput>
                <HelpText>6-digit code from Google Authenticator</HelpText>
            </div>
            <div class="form__buttons">
                <div class="form__button">
                    <AhButton>
                        Continue
                    </AhButton>
                </div>
                <router-link to="" class="form__link">Security verification unavailable?</router-link>
            </div>
        </div>
    </form>
</template>

<script>

import AhInput from "@/components/AhInput";
import AhButton from "@/components/AhButton";
import HelpText from "@/components/HelpText";

export default {
    name: "LoginPage",
    components: {HelpText, AhButton, AhInput},
    data() {
        return {
            emailCode: null,
            googleCode: null,
            isEmailCodeSent: false
        }
    },
    methods: {
        getEmailAuthCode() {
            this.isEmailCodeSent = true;
        }
    }
}

</script>

<style lang="scss" scoped>

form {
    display: flex;
    flex-direction: column;
    justify-items: center;
}

.form__title {
    font-family: 'Lato', sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 50px;
    line-height: 60px;
    margin-bottom: 0px;

    color: #FFFFFF;
}

.form__clue {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    color: #9196A7;
}

.form__clue a {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    align-items: center;
    text-align: center;

    color: $hsl-color-orange

}

.form__header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.form__input {
    position: relative;
    padding-bottom: 24px;
}

.input-label {
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 17px;
    color: #FFDA3E;
    margin-bottom: 5px;
}

.input-button {
    cursor: pointer;
    position: absolute;
    left: 85%;
    bottom: 43%;
    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 14px;
    line-height: 17px;
    color: #FFDA3E;
}

.form__buttons {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.form__link {

    font-family: 'Inter', sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;

    display: flex;
    align-items: center;
    text-align: center;
    text-decoration-line: underline;

    margin-top: 24px;
    color: #FFDA3E;

}

.form__help-text {
    position: absolute;
}

</style>